package com.bonus.canteen.core.allocation.canteen.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

@ApiModel("AllocStallVO")
@LeNiuDecryptDataProcess
public class AllocStallVO {
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口编号")
   private String stallNum;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("当前区域名称")
   private String areaName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("档口标签")
   private String labelNameStr;
   @ApiModelProperty("档口状态")
   private Integer businessState;
   @ApiModelProperty("品类名称")
   private String kindNameStr;
   @ApiModelProperty("营业时间")
   private LocalTime startBusinessTime;
   private LocalTime endBusinessTime;
   @ApiModelProperty("是否启用叫号")
   private Integer ifUseCallNum;
   @ApiModelProperty("线上流水号前缀")
   private String onLineMealCodePrefix;
   @ApiModelProperty("线下流水号前缀")
   private String offLineMealCodePrefix;
   @ApiModelProperty("档口图片链接")
   private String imgUrl;
   @ApiModelProperty("是否支持报餐")
   private Integer ifBook;
   @ApiModelProperty("是否支持预定餐")
   private Integer ifReserve;
   @ApiModelProperty("档口收款码链接")
   private String payCodeUrl;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("档口业务类型 1-档口")
   private Integer stallType;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public String getPayCodeUrl() {
      return SysUtil.getCutFileUrl(this.payCodeUrl);
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallNum() {
      return this.stallNum;
   }

   public String getStallName() {
      return this.stallName;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public String getLabelNameStr() {
      return this.labelNameStr;
   }

   public Integer getBusinessState() {
      return this.businessState;
   }

   public String getKindNameStr() {
      return this.kindNameStr;
   }

   public LocalTime getStartBusinessTime() {
      return this.startBusinessTime;
   }

   public LocalTime getEndBusinessTime() {
      return this.endBusinessTime;
   }

   public Integer getIfUseCallNum() {
      return this.ifUseCallNum;
   }

   public String getOnLineMealCodePrefix() {
      return this.onLineMealCodePrefix;
   }

   public String getOffLineMealCodePrefix() {
      return this.offLineMealCodePrefix;
   }

   public Integer getIfBook() {
      return this.ifBook;
   }

   public Integer getIfReserve() {
      return this.ifReserve;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getStallType() {
      return this.stallType;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallNum(final String stallNum) {
      this.stallNum = stallNum;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setLabelNameStr(final String labelNameStr) {
      this.labelNameStr = labelNameStr;
   }

   public void setBusinessState(final Integer businessState) {
      this.businessState = businessState;
   }

   public void setKindNameStr(final String kindNameStr) {
      this.kindNameStr = kindNameStr;
   }

   public void setStartBusinessTime(final LocalTime startBusinessTime) {
      this.startBusinessTime = startBusinessTime;
   }

   public void setEndBusinessTime(final LocalTime endBusinessTime) {
      this.endBusinessTime = endBusinessTime;
   }

   public void setIfUseCallNum(final Integer ifUseCallNum) {
      this.ifUseCallNum = ifUseCallNum;
   }

   public void setOnLineMealCodePrefix(final String onLineMealCodePrefix) {
      this.onLineMealCodePrefix = onLineMealCodePrefix;
   }

   public void setOffLineMealCodePrefix(final String offLineMealCodePrefix) {
      this.offLineMealCodePrefix = offLineMealCodePrefix;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setIfBook(final Integer ifBook) {
      this.ifBook = ifBook;
   }

   public void setIfReserve(final Integer ifReserve) {
      this.ifReserve = ifReserve;
   }

   public void setPayCodeUrl(final String payCodeUrl) {
      this.payCodeUrl = payCodeUrl;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setStallType(final Integer stallType) {
      this.stallType = stallType;
   }

}
